# Web Cloud › Telephony › Virtual Fax › Fax Settings API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 19 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/telephony/virtual-fax/fax-settings.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/telephony/virtual-fax/fax-settings.json?format=openapi3

## Operations

- `GET /telephony/{billingAccount}/fax` — List fax services
- `GET /telephony/{billingAccount}/fax/{serviceName}` — Get a fax service
- `PUT /telephony/{billingAccount}/fax/{serviceName}` — Update a fax service
- `GET /telephony/{billingAccount}/fax/{serviceName}/campaigns` — List campaigns
- `GET /telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}` — Get a campaign
- `POST /telephony/{billingAccount}/fax/{serviceName}/campaigns` — Create a campaign
- `DELETE /telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}` — Delete a campaign
- `GET /telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/detail` — Get campaign recipients by status
- `POST /telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/start` — Start a campaign
- `POST /telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/stop` — Stop a campaign
- `GET /telephony/{billingAccount}/fax/{serviceName}/screenLists` — Get the screen lists
- `POST /telephony/{billingAccount}/fax/{serviceName}/screenLists` — Create the screen lists
- `DELETE /telephony/{billingAccount}/fax/{serviceName}/screenLists` — Delete the screen lists
- `PUT /telephony/{billingAccount}/fax/{serviceName}/screenLists` — Update the screen lists
- `POST /telephony/{billingAccount}/fax/{serviceName}/screenLists/reset` — Reset the screen lists
- `GET /telephony/{billingAccount}/fax/{serviceName}/settings` — Get the settings
- `PUT /telephony/{billingAccount}/fax/{serviceName}/settings` — Update the settings
- `POST /telephony/{billingAccount}/fax/{serviceName}/settings/changePassword` — Change the password
- `POST /telephony/{billingAccount}/fax/{serviceName}/settings/sendFax` — Send a fax

## List fax services

`GET /1.0/telephony/{billingAccount}/fax`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/get`

List fax services. Returns the service names of the fax services of the billing account. Get a fax service for its type, offers and notification settings.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string[] | successful operation |

```json
[
  "string"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax");

print_r($result);
?>
```

## Get a fax service

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/get`

Get a fax service. Returns the fax service: type, offers, description and diagnostic notification settings.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.Fax | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string |  |  |
| `notifications` | telephony.LineNotificationsOptions |  | Send notifications about Line's diagnosticReports |
| `notifications.logs` | telephony.LineNotificationsLogsOptions |  | Error logging notifications options |
| `notifications.logs.email` | string |  | Email address where to send notifications |
| `notifications.logs.frequency` | telephony.LineNotificationsLogsFrequencyEnum |  | Frequency at which the notifications will be send — one of `Never`, `Once a day`, `Twice a day` |
| `notifications.logs.sendIfNull` | boolean |  | Send a blank notification if there is no diagnosticReports entries for the period |
| `offers` | string[] | read-only |  |
| `serviceName` | string | read-only |  |
| `serviceType` | telephony.TypeServiceEnum | read-only | All existing types — one of `alias`, `line` |

```json
{
  "description": "string",
  "notifications": {
    "logs": {
      "email": "string",
      "frequency": "Never",
      "sendIfNull": true
    }
  },
  "offers": [
    "string"
  ],
  "serviceName": "string",
  "serviceType": "alias"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}");

print_r($result);
?>
```

## Update a fax service

`PUT /1.0/telephony/{billingAccount}/fax/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#put-telephony-billingaccount-fax-servicename

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/edit`

Update a fax service. Updates the description and the diagnostic notification settings of the fax service.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `telephony.Fax`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `description` | string |  |  |
| `notifications` | telephony.LineNotificationsOptions |  | Send notifications about Line's diagnosticReports |
| `notifications.logs` | telephony.LineNotificationsLogsOptions |  | Error logging notifications options |
| `notifications.logs.email` | string |  | Email address where to send notifications |
| `notifications.logs.frequency` | telephony.LineNotificationsLogsFrequencyEnum |  | Frequency at which the notifications will be send — one of `Never`, `Once a day`, `Twice a day` |
| `notifications.logs.sendIfNull` | boolean |  | Send a blank notification if there is no diagnosticReports entries for the period |
| `offers` | string[] | read-only |  |
| `serviceName` | string | read-only |  |
| `serviceType` | telephony.TypeServiceEnum | read-only | All existing types — one of `alias`, `line` |

```json
{
  "description": "string",
  "notifications": {
    "logs": {
      "email": "string",
      "frequency": "Never",
      "sendIfNull": true
    }
  }
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.Fax
result = client.put("/telephony/{billingAccount}/fax/{serviceName}",
	description = None, #  (type: string)
	notifications = None, # Send notifications about Line's diagnosticReports (type: telephony.LineNotificationsOptions, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.Fax
$result = $ovh->put("/telephony/{billingAccount}/fax/{serviceName}", array(
	description => null, //  (type: string)
	notifications => null, // Send notifications about Line's diagnosticReports (type: telephony.LineNotificationsOptions, nullable)
));

print_r($result);
?>
```

## List campaigns

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename-campaigns

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/get`

List campaigns. Returns the identifiers of the fax campaigns of the service. Get a campaign for its status, dates and counters.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}/campaigns")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}/campaigns");

print_r($result);
?>
```

## Get a campaign

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename-campaigns-id

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/get`

Get a campaign. Returns the campaign: name, reference, status, dates, and the number of faxes sent, successful and failed.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `id` | path | integer | yes | Id of the object |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxCampaign | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `countFailed` | integer | read-only | The count of failed faxes in the campaign |
| `countSuccess` | integer | read-only | The count of success faxes in the campaign |
| `countTotal` | integer | read-only | The total count of faxes in the campaign |
| `dateEnd` | string (date-time) | read-only | The end date of the fax campaign |
| `dateStart` | string (date-time) | read-only | The start date of the fax campaign |
| `id` | integer | read-only | The id of the fax campaign |
| `name` | string | read-only | The name of the fax campaign |
| `reference` | string | read-only | The reference of the fax campaign |
| `status` | string | read-only | The status of the fax campaign |

```json
{
  "countFailed": 0,
  "countSuccess": 0,
  "countTotal": 0,
  "dateEnd": "2024-01-01T12:00:00Z",
  "dateStart": "2024-01-01T12:00:00Z",
  "id": 0,
  "name": "string",
  "reference": "string",
  "status": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}");

print_r($result);
?>
```

## Create a campaign

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-campaigns

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/create`

Create a campaign. Creates a campaign that sends a PDF document to a list of numbers or to the numbers of a document. The campaign is sent manually, automatically or at a scheduled date.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `documentId` | string | yes | The id of the /me/document pdf you want to send |
| `faxQuality` | telephony.FaxQualityEnum |  | The quality of the fax you want to send — one of `best`, `high`, `normal` |
| `name` | string | yes | The name of the fax campaign |
| `recipientsDocId` | string |  | If recipientsType is set to document, the id of the document containing the recipients phone numbers |
| `recipientsList` | phoneNumber[] |  | If recipientsType is set to list, the list of recipients phone numbers |
| `recipientsType` | telephony.FaxCampaignRecipientsTypeEnum | yes | Method to set the campaign recipient — one of `document`, `list` |
| `sendDate` | string (date-time) |  | Sending date of the campaign (when sendType is scheduled) |
| `sendType` | telephony.FaxCampaignSendTypeEnum | yes | Sending type of the campaign — one of `automatic`, `manual`, `scheduled` |

```json
{
  "documentId": "string",
  "faxQuality": "best",
  "name": "string",
  "recipientsDocId": "string",
  "recipientsList": [
    "string"
  ],
  "recipientsType": "document",
  "sendDate": "2024-01-01T12:00:00Z",
  "sendType": "automatic"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxCampaign | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `countFailed` | integer | read-only | The count of failed faxes in the campaign |
| `countSuccess` | integer | read-only | The count of success faxes in the campaign |
| `countTotal` | integer | read-only | The total count of faxes in the campaign |
| `dateEnd` | string (date-time) | read-only | The end date of the fax campaign |
| `dateStart` | string (date-time) | read-only | The start date of the fax campaign |
| `id` | integer | read-only | The id of the fax campaign |
| `name` | string | read-only | The name of the fax campaign |
| `reference` | string | read-only | The reference of the fax campaign |
| `status` | string | read-only | The status of the fax campaign |

```json
{
  "countFailed": 0,
  "countSuccess": 0,
  "countTotal": 0,
  "dateEnd": "2024-01-01T12:00:00Z",
  "dateStart": "2024-01-01T12:00:00Z",
  "id": 0,
  "name": "string",
  "reference": "string",
  "status": "string"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/telephony/{billingAccount}/fax/{serviceName}/campaigns",
	documentId = None, # The id of the /me/document pdf you want to send (type: string)
	faxQuality = None, # The quality of the fax you want to send (type: telephony.FaxQualityEnum, nullable)
	name = None, # The name of the fax campaign (type: string)
	recipientsDocId = None, # If recipientsType is set to document, the id of the document containing the recipients phone numbers (type: string, nullable)
	recipientsList = None, # If recipientsType is set to list, the list of recipients phone numbers (type: phoneNumber[], nullable)
	recipientsType = None, # Method to set the campaign recipient (type: telephony.FaxCampaignRecipientsTypeEnum)
	sendDate = None, # Sending date of the campaign (when sendType is scheduled) (type: datetime, nullable)
	sendType = None, # Sending type of the campaign (type: telephony.FaxCampaignSendTypeEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/campaigns", array(
	documentId => null, // The id of the /me/document pdf you want to send (type: string)
	faxQuality => null, // The quality of the fax you want to send (type: telephony.FaxQualityEnum, nullable)
	name => null, // The name of the fax campaign (type: string)
	recipientsDocId => null, // If recipientsType is set to document, the id of the document containing the recipients phone numbers (type: string, nullable)
	recipientsList => null, // If recipientsType is set to list, the list of recipients phone numbers (type: phoneNumber[], nullable)
	recipientsType => null, // Method to set the campaign recipient (type: telephony.FaxCampaignRecipientsTypeEnum)
	sendDate => null, // Sending date of the campaign (when sendType is scheduled) (type: datetime, nullable)
	sendType => null, // Sending type of the campaign (type: telephony.FaxCampaignSendTypeEnum)
));

print_r($result);
?>
```

## Delete a campaign

`DELETE /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#delete-telephony-billingaccount-fax-servicename-campaigns-id

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/delete`

Delete a campaign. Deletes the fax campaign from the fax service. The campaign no longer appears in the list of campaigns.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `id` | path | integer | yes | Id of the object |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X DELETE \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.delete("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->delete("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}");

print_r($result);
?>
```

## Get campaign recipients by status

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/detail`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename-campaigns-id-detail

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/detail/get`

Get campaign recipients by status. Returns the recipient numbers of the campaign, grouped by status: to do, successful and failed.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `id` | path | integer | yes | Id of the object |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxCampaignDetail | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `failed` | phoneNumber[] |  |  |
| `success` | phoneNumber[] |  |  |
| `todo` | phoneNumber[] |  |  |

```json
{
  "failed": [
    "string"
  ],
  "success": [
    "string"
  ],
  "todo": [
    "string"
  ]
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/detail" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/detail")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/detail");

print_r($result);
?>
```

## Start a campaign

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/start`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-campaigns-id-start

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/start`

Start a campaign. Starts sending the campaign to its recipients. Follow the progress with the success and failure counters of the campaign.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `id` | path | integer | yes | Id of the object |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/start" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/start")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/start");

print_r($result);
?>
```

## Stop a campaign

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/stop`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-campaigns-id-stop

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/campaigns/stop`

Stop a campaign. Stops sending the campaign to its recipients. The success and failure counters of the campaign show the faxes sent before the stop.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `id` | path | integer | yes | Id of the object |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/stop" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/stop")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/campaigns/{id}/stop");

print_r($result);
?>
```

## Get the screen lists

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename-screenlists

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/screenLists/get`

Get the screen lists. Returns the numbers and logins (TSI) allowed or blocked from sending faxes to the service, and which list is active.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxScreen | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `blacklistedNumbers` | string[] |  | List of numbers not allowed to send a fax |
| `blacklistedTSI` | string[] |  | List of logins (TSI or ID) not allowed to send a fax |
| `callNumber` | string | read-only | Number of the fax service |
| `countryCode` | string | read-only | Country code of the fax service |
| `filteringList` | telephony.FaxScreenListTypeEnum | read-only | Which list is active (blackist, whitelist or none) — one of ``, `blacklist`, `no`, `whitelist` |
| `serviceName` | string | read-only |  |
| `whitelistedNumbers` | string[] |  | List of numbers allowed to send a fax |
| `whitelistedTSI` | string[] |  | List of logins (TSI or ID) allowed to send a fax |

```json
{
  "blacklistedNumbers": [
    "string"
  ],
  "blacklistedTSI": [
    "string"
  ],
  "callNumber": "string",
  "countryCode": "string",
  "filteringList": "",
  "serviceName": "string",
  "whitelistedNumbers": [
    "string"
  ],
  "whitelistedTSI": [
    "string"
  ]
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}/screenLists")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}/screenLists");

print_r($result);
?>
```

## Create the screen lists

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-screenlists

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/screenLists/create`

Create the screen lists. Creates the screen lists of the fax service. The active list is whitelist, blacklist or none.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `blacklistedNumbers` | string[] |  | List of numbers not allowed to send a fax |
| `blacklistedTSI` | string[] |  | List of logins (TSI or ID) not allowed to send a fax |
| `filteringList` | telephony.FaxScreenListTypeEnum |  | Which list is active (blackist, whitelist or none) — one of ``, `blacklist`, `no`, `whitelist` |
| `whitelistedNumbers` | string[] |  | List of numbers allowed to send a fax |
| `whitelistedTSI` | string[] |  | List of logins (TSI or ID) allowed to send a fax |

```json
{
  "blacklistedNumbers": [
    "string"
  ],
  "blacklistedTSI": [
    "string"
  ],
  "filteringList": "",
  "whitelistedNumbers": [
    "string"
  ],
  "whitelistedTSI": [
    "string"
  ]
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxScreen | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `blacklistedNumbers` | string[] |  | List of numbers not allowed to send a fax |
| `blacklistedTSI` | string[] |  | List of logins (TSI or ID) not allowed to send a fax |
| `callNumber` | string | read-only | Number of the fax service |
| `countryCode` | string | read-only | Country code of the fax service |
| `filteringList` | telephony.FaxScreenListTypeEnum | read-only | Which list is active (blackist, whitelist or none) — one of ``, `blacklist`, `no`, `whitelist` |
| `serviceName` | string | read-only |  |
| `whitelistedNumbers` | string[] |  | List of numbers allowed to send a fax |
| `whitelistedTSI` | string[] |  | List of logins (TSI or ID) allowed to send a fax |

```json
{
  "blacklistedNumbers": [
    "string"
  ],
  "blacklistedTSI": [
    "string"
  ],
  "callNumber": "string",
  "countryCode": "string",
  "filteringList": "",
  "serviceName": "string",
  "whitelistedNumbers": [
    "string"
  ],
  "whitelistedTSI": [
    "string"
  ]
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: string[]
result = client.post("/telephony/{billingAccount}/fax/{serviceName}/screenLists",
	blacklistedNumbers = None, # List of numbers not allowed to send a fax (type: string[], nullable)
	blacklistedTSI = None, # List of logins (TSI or ID) not allowed to send a fax (type: string[], nullable)
	filteringList = None, # Which list is active (blackist, whitelist or none) (type: telephony.FaxScreenListTypeEnum, nullable)
	whitelistedNumbers = None, # List of numbers allowed to send a fax (type: string[], nullable)
	whitelistedTSI = None, # List of logins (TSI or ID) allowed to send a fax (type: string[], nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: string[]
$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/screenLists", array(
	blacklistedNumbers => null, // List of numbers not allowed to send a fax (type: string[], nullable)
	blacklistedTSI => null, // List of logins (TSI or ID) not allowed to send a fax (type: string[], nullable)
	filteringList => null, // Which list is active (blackist, whitelist or none) (type: telephony.FaxScreenListTypeEnum, nullable)
	whitelistedNumbers => null, // List of numbers allowed to send a fax (type: string[], nullable)
	whitelistedTSI => null, // List of logins (TSI or ID) allowed to send a fax (type: string[], nullable)
));

print_r($result);
?>
```

## Delete the screen lists

`DELETE /1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#delete-telephony-billingaccount-fax-servicename-screenlists

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/screenLists/delete`

Delete the screen lists. Deletes all screen lists of the fax service: allowed and blocked numbers and logins (TSI).

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X DELETE \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.delete("/telephony/{billingAccount}/fax/{serviceName}/screenLists")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->delete("/telephony/{billingAccount}/fax/{serviceName}/screenLists");

print_r($result);
?>
```

## Update the screen lists

`PUT /1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#put-telephony-billingaccount-fax-servicename-screenlists

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/screenLists/edit`

Update the screen lists. Updates the allowed and blocked numbers and logins (TSI). The active list is chosen when the screen lists are created.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `telephony.FaxScreen`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `blacklistedNumbers` | string[] |  | List of numbers not allowed to send a fax |
| `blacklistedTSI` | string[] |  | List of logins (TSI or ID) not allowed to send a fax |
| `callNumber` | string | read-only | Number of the fax service |
| `countryCode` | string | read-only | Country code of the fax service |
| `filteringList` | telephony.FaxScreenListTypeEnum | read-only | Which list is active (blackist, whitelist or none) — one of ``, `blacklist`, `no`, `whitelist` |
| `serviceName` | string | read-only |  |
| `whitelistedNumbers` | string[] |  | List of numbers allowed to send a fax |
| `whitelistedTSI` | string[] |  | List of logins (TSI or ID) allowed to send a fax |

```json
{
  "blacklistedNumbers": [
    "string"
  ],
  "blacklistedTSI": [
    "string"
  ],
  "whitelistedNumbers": [
    "string"
  ],
  "whitelistedTSI": [
    "string"
  ]
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.FaxScreen
result = client.put("/telephony/{billingAccount}/fax/{serviceName}/screenLists",
	blacklistedNumbers = None, # List of numbers not allowed to send a fax (type: array, nullable)
	blacklistedTSI = None, # List of logins (TSI or ID) not allowed to send a fax (type: array, nullable)
	whitelistedNumbers = None, # List of numbers allowed to send a fax (type: array, nullable)
	whitelistedTSI = None, # List of logins (TSI or ID) allowed to send a fax (type: array, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.FaxScreen
$result = $ovh->put("/telephony/{billingAccount}/fax/{serviceName}/screenLists", array(
	blacklistedNumbers => null, // List of numbers not allowed to send a fax (type: array, nullable)
	blacklistedTSI => null, // List of logins (TSI or ID) not allowed to send a fax (type: array, nullable)
	whitelistedNumbers => null, // List of numbers allowed to send a fax (type: array, nullable)
	whitelistedTSI => null, // List of logins (TSI or ID) allowed to send a fax (type: array, nullable)
));

print_r($result);
?>
```

## Reset the screen lists

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists/reset`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-screenlists-reset

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/screenLists/reset`

Reset the screen lists. Empties the selected screen lists: allowed or blocked numbers, allowed or blocked logins.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `blacklistedNumbers` | boolean |  | List of black numbers |
| `blacklistedTSI` | boolean |  | List of black login (TSI or ID) |
| `whitelistedNumbers` | boolean |  | List of white numbers |
| `whitelistedTSI` | boolean |  | List of white login (TSI or ID) |

```json
{
  "blacklistedNumbers": true,
  "blacklistedTSI": true,
  "whitelistedNumbers": true,
  "whitelistedTSI": true
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/screenLists/reset" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/telephony/{billingAccount}/fax/{serviceName}/screenLists/reset",
	blacklistedNumbers = None, # List of black numbers (type: boolean, nullable)
	blacklistedTSI = None, # List of black login (TSI or ID) (type: boolean, nullable)
	whitelistedNumbers = None, # List of white numbers (type: boolean, nullable)
	whitelistedTSI = None, # List of white login (TSI or ID) (type: boolean, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/screenLists/reset", array(
	blacklistedNumbers => null, // List of black numbers (type: boolean, nullable)
	blacklistedTSI => null, // List of black login (TSI or ID) (type: boolean, nullable)
	whitelistedNumbers => null, // List of white numbers (type: boolean, nullable)
	whitelistedTSI => null, // List of white login (TSI or ID) (type: boolean, nullable)
));

print_r($result);
?>
```

## Get the settings

`GET /1.0/telephony/{billingAccount}/fax/{serviceName}/settings`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#get-telephony-billingaccount-fax-servicename-settings

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/settings/get`

Get the settings. Returns the fax settings: sender, quality, number of sending tries, email delivery and rejection of anonymous faxes.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.FaxProperties | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `callNumber` | string | read-only |  |
| `countryCode` | string | read-only |  |
| `faxMaxCall` | telephony.FaxSendingTries |  | Number of tries when sending a fax — one of `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9` |
| `faxQuality` | telephony.FaxQualityEnum |  | Available quality for fax documents — one of `best`, `high`, `normal` |
| `faxTagLine` | string |  |  |
| `fromEmail` | string |  |  |
| `fromName` | string |  |  |
| `mailFormat` | telephony.FaxMailFormatEnum |  | Format of the notification mail. "html" will include a preview image of the fax — one of `html`, `text` |
| `receiver` | string |  |  |
| `redirectionEmail` | string[] |  |  |
| `rejectAnonymous` | boolean |  |  |
| `sender` | string |  |  |

```json
{
  "callNumber": "string",
  "countryCode": "string",
  "faxMaxCall": 1,
  "faxQuality": "best",
  "faxTagLine": "string",
  "fromEmail": "string",
  "fromName": "string",
  "mailFormat": "html",
  "receiver": "string",
  "redirectionEmail": [
    "string"
  ],
  "rejectAnonymous": true,
  "sender": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/settings" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/fax/{serviceName}/settings")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/fax/{serviceName}/settings");

print_r($result);
?>
```

## Update the settings

`PUT /1.0/telephony/{billingAccount}/fax/{serviceName}/settings`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#put-telephony-billingaccount-fax-servicename-settings

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/settings/edit`

Update the settings. Updates the fax settings: sender, receiver, quality, number of sending tries (1 to 9), tag line, email delivery and rejection of anonymous faxes.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `telephony.FaxProperties`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `callNumber` | string | read-only |  |
| `countryCode` | string | read-only |  |
| `faxMaxCall` | telephony.FaxSendingTries |  | Number of tries when sending a fax — one of `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9` |
| `faxQuality` | telephony.FaxQualityEnum |  | Available quality for fax documents — one of `best`, `high`, `normal` |
| `faxTagLine` | string |  |  |
| `fromEmail` | string |  |  |
| `fromName` | string |  |  |
| `mailFormat` | telephony.FaxMailFormatEnum |  | Format of the notification mail. "html" will include a preview image of the fax — one of `html`, `text` |
| `receiver` | string |  |  |
| `redirectionEmail` | string[] |  |  |
| `rejectAnonymous` | boolean |  |  |
| `sender` | string |  |  |

```json
{
  "faxMaxCall": 1,
  "faxQuality": "best",
  "faxTagLine": "string",
  "fromEmail": "string",
  "fromName": "string",
  "mailFormat": "html",
  "receiver": "string",
  "redirectionEmail": [
    "string"
  ],
  "rejectAnonymous": true,
  "sender": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/settings" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.FaxProperties
result = client.put("/telephony/{billingAccount}/fax/{serviceName}/settings",
	faxMaxCall = None, #  (type: )
	faxQuality = None, #  (type: )
	faxTagLine = None, #  (type: string)
	fromEmail = None, #  (type: string)
	fromName = None, #  (type: string)
	mailFormat = None, #  (type: )
	receiver = None, #  (type: string)
	redirectionEmail = None, #  (type: array)
	rejectAnonymous = None, #  (type: boolean)
	sender = None, #  (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.FaxProperties
$result = $ovh->put("/telephony/{billingAccount}/fax/{serviceName}/settings", array(
	faxMaxCall => null, //  (type: )
	faxQuality => null, //  (type: )
	faxTagLine => null, //  (type: string)
	fromEmail => null, //  (type: string)
	fromName => null, //  (type: string)
	mailFormat => null, //  (type: )
	receiver => null, //  (type: string)
	redirectionEmail => null, //  (type: array)
	rejectAnonymous => null, //  (type: boolean)
	sender => null, //  (type: string)
));

print_r($result);
?>
```

## Change the password

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/settings/changePassword`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-settings-changepassword

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/settings/changePassword`

Change the password. Sets a new password for the fax account. Without a password, a random one is generated and returned.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `password` | string (password) |  | The password, if not specified, a random password will be generated |

```json
{
  "password": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string (password) | successful operation |

```json
"string"
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/settings/changePassword" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: password
result = client.post("/telephony/{billingAccount}/fax/{serviceName}/settings/changePassword",
	password = None, # The password, if not specified, a random password will be generated (type: password, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: password
$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/settings/changePassword", array(
	password => null, // The password, if not specified, a random password will be generated (type: password, nullable)
));

print_r($result);
?>
```

## Send a fax

`POST /1.0/telephony/{billingAccount}/fax/{serviceName}/settings/sendFax`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/virtual-fax/fax-settings/#post-telephony-billingaccount-fax-servicename-settings-sendfax

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:fax/settings/sendFax`

Send a fax. Sends a PDF document from a URL to one or more recipients, now or at a scheduled date. Returns the task that tracks the sending.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |
| `serviceName` | path | string | yes |  |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `dateSchedule` | string (date-time) |  | If you want to schedule your fax later, you can specify a date |
| `pdfUrl` | string | yes | Url of the pdf document you want to send |
| `recipients` | phoneNumber[] | yes | List of recipients of your fax |

```json
{
  "dateSchedule": "2024-01-01T12:00:00Z",
  "pdfUrl": "string",
  "recipients": [
    "string"
  ]
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `action` | string | read-only | Action associated with the task |
| `message` | string | read-only | Potential failure reason of the task |
| `objectCreated` | string | read-only | Object potentially created at the end of the task |
| `serviceType` | string | read-only |  |
| `status` | telephony.TaskStatusEnum | read-only | Status of the task — one of `doing`, `done`, `error`, `pause`, `todo` |
| `taskId` | integer | read-only |  |

```json
{
  "action": "string",
  "message": "string",
  "objectCreated": "string",
  "serviceType": "string",
  "status": "doing",
  "taskId": 0
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/fax/{serviceName}/settings/sendFax" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: phoneNumber[]
result = client.post("/telephony/{billingAccount}/fax/{serviceName}/settings/sendFax",
	dateSchedule = None, # If you want to schedule your fax later, you can specify a date (type: datetime, nullable)
	pdfUrl = None, # Url of the pdf document you want to send (type: string)
	recipients = None, # List of recipients of your fax (type: phoneNumber[])
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: phoneNumber[]
$result = $ovh->post("/telephony/{billingAccount}/fax/{serviceName}/settings/sendFax", array(
	dateSchedule => null, // If you want to schedule your fax later, you can specify a date (type: datetime, nullable)
	pdfUrl => null, // Url of the pdf document you want to send (type: string)
	recipients => null, // List of recipients of your fax (type: phoneNumber[])
));

print_r($result);
?>
```
